io.agora.rtc

## Class EncodedAudioFrameAdvancedSettings

- java.lang.Object
- - io.agora.rtc.EncodedAudioFrameAdvancedSettings

-     public class EncodedAudioFrameAdvancedSettings
      extends java.lang.Object

  Advanced settings for encoded audio frames.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `sendEvenIfEmpty` Send even if empty flag
    `private int` | `speech` Speech flag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedAudioFrameAdvancedSettings()` Default constructor for EncodedAudioFrameAdvancedSettings.
    `EncodedAudioFrameAdvancedSettings(int speech, int sendEvenIfEmpty)` Constructs EncodedAudioFrameAdvancedSettings with speech and sendEvenIfEmpty.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSendEvenIfEmpty()` Gets the send even if empty flag.
    `int` | `getSpeech()` Gets the speech flag.
    `void` | `setSendEvenIfEmpty(int sendEvenIfEmpty)` Sets the send even if empty flag.
    `void` | `setSpeech(int speech)` Sets the speech flag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### speech

          private int speech

      Speech flag

    - #### sendEvenIfEmpty

          private int sendEvenIfEmpty

      Send even if empty flag

  - ### Constructor Detail

    - #### EncodedAudioFrameAdvancedSettings

          public EncodedAudioFrameAdvancedSettings()

      Default constructor for EncodedAudioFrameAdvancedSettings.

    - #### EncodedAudioFrameAdvancedSettings

          public EncodedAudioFrameAdvancedSettings(int speech,
                                                   int sendEvenIfEmpty)

      Constructs EncodedAudioFrameAdvancedSettings with speech and sendEvenIfEmpty.
      Parameters:
        `speech` - Speech flag
        `sendEvenIfEmpty` - Send even if empty flag

  - ### Method Detail

    - #### getSpeech

          public int getSpeech()

      Gets the speech flag.
      Returns:
        Speech flag

    - #### setSpeech

          public void setSpeech(int speech)

      Sets the speech flag.
      Parameters:
        `speech` - Speech flag

    - #### getSendEvenIfEmpty

          public int getSendEvenIfEmpty()

      Gets the send even if empty flag.
      Returns:
        Send even if empty flag

    - #### setSendEvenIfEmpty

          public void setSendEvenIfEmpty(int sendEvenIfEmpty)

      Sets the send even if empty flag.
      Parameters:
        `sendEvenIfEmpty` - Send even if empty flag